Bug 1962435

Summary: Public DNS records were not deleted when destroying a cluster which is using byo private hosted zone
Product: OpenShift Container Platform Reporter: Yunfei Jiang <yunjiang>
Component: InstallerAssignee: aos-install
Installer sub component: openshift-installer QA Contact: Yunfei Jiang <yunjiang>
Status: CLOSED ERRATA Docs Contact:
Severity: high    
Priority: high CC: bleanhar, gpei, mstaeble, pamoedom, yunjiang
Version: 4.7   
Target Milestone: ---   
Target Release: 4.7.z   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1957597 Environment:
Last Closed: 2021-06-01 04:50:27 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1957597    
Bug Blocks:    

Comment 3 Yunfei Jiang 2021-05-31 07:19:57 UTC
verified. FAILED.

1. the records in public hosted zone was deleted successfully.

2. but in the .openshift_install.log, the public zone id should be Z3B3KOVA3TRCWP (qe.devcluster.openshift.com), instead of the private zone id `Z06189806E885EX74815`

time="2021-05-31T02:22:42-04:00" level=debug msg="Deleted from public zone" arn="arn:aws:route53:::hostedzone/Z06189806E885EX74815" id=Z06189806E885EX74815 recordset="api-int.yunjiang-bz435a.qe.devcluster.openshift.com. (A)"
time="2021-05-31T02:22:43-04:00" level=debug msg="Deleted from public zone" arn="arn:aws:route53:::hostedzone/Z06189806E885EX74815" id=Z06189806E885EX74815 recordset="api.yunjiang-bz435a.qe.devcluster.openshift.com. (A)"
time="2021-05-31T02:22:43-04:00" level=debug msg="Deleted from public zone" arn="arn:aws:route53:::hostedzone/Z06189806E885EX74815" id=Z06189806E885EX74815 recordset="\\052.apps.yunjiang-bz435a.qe.devcluster.openshift.com. (A)"

Comment 4 Yunfei Jiang 2021-05-31 07:44:20 UTC
mark this bug as verified, will create a new bug to track the log issue.
OCP version: 4.7.0-0.nightly-2021-05-29-015423

Comment 6 errata-xmlrpc 2021-06-01 04:50:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.13 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2121